Package org.apache.maven.scm.provider.accurev.cli

## Class CommandOutputConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.cli.CommandOutputConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class CommandOutputConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Constructor Summary

Constructors
`CommandOutputConsumer​(ScmLogger logger, org.codehaus.plexus.util.cli.StreamConsumer decorated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`void` `waitComplete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandOutputConsumer

    public CommandOutputConsumer​(ScmLogger logger,
                                 org.codehaus.plexus.util.cli.StreamConsumer decorated)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)
                     throws java.io.IOException

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
Throws:
  `java.io.IOException`

#### waitComplete

    public void waitComplete()